package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.UserWallet;

/**
 * 用户钱包 Service接口
 *
 * @author ruoyi
 * @date 2025-05-29
 */
public interface IUserWalletService extends IService<UserWallet>
{
    /**
     * 查询【请填写功能名称】
     *
     * @param id 【请填写功能名称】主键
     * @return 【请填写功能名称】
     */
    public UserWallet selectUserWalletById(Long id);

    /**
     * 查询【请填写功能名称】列表
     *
     * @param userWallet 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<UserWallet> selectUserWalletList(UserWallet userWallet);

    /**
     * 新增【请填写功能名称】
     *
     * @param userWallet 【请填写功能名称】
     * @return 结果
     */
    public int insertUserWallet(UserWallet userWallet);

    /**
     * 创建用户时创建钱包
     *
     * @param userId
     */
    public void createUserWallet(Long userId);

    /**
     * 修改【请填写功能名称】
     *
     * @param userWallet 【请填写功能名称】
     * @return 结果
     */
    public int updateUserWallet(UserWallet userWallet);

    /**
     * 批量删除【请填写功能名称】
     *
     * @param ids 需要删除的【请填写功能名称】主键集合
     * @return 结果
     */
    public int deleteUserWalletByIds(Long[] ids);

    /**
     * 删除【请填写功能名称】信息
     *
     * @param id 【请填写功能名称】主键
     * @return 结果
     */
    public int deleteUserWalletById(Long id);

    public UserWallet selectByStoreId(Long storeId);

    public UserWallet selectByUserId(Long userId);

    void createStallWallet(Long storeId);
}
